%define name	luvcview
%define version 0.2.6
%define release %mkrel 2

Summary:	SDL-based video grabber
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.lzma
Source1: 	dynctrl-logitech.h
Source2: 	uvcvideo.h
Source3: 	uvc_compat.h
License: 	GPLv2+
Group:		Video
Url:		http://www.quickcamteam.net/software/linux/v4l2-software/luvcview
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel

%description
luvcview is a small video capture program ideal for webcam testing and
problem debugging.

%prep
%setup -q
cp %SOURCE1 .
cp %SOURCE2 .
cp %SOURCE3 .

%build
%make

%install
rm -rf %{buildroot}
%__install -D -s -m 755 luvcview %{buildroot}/usr/bin/luvcview

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changelog COPYING ToDo
%{_bindir}/*



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-2mdv2011.0
+ Revision: 620280
- the mass rebuild of 2010.0 packages

* Fri Aug 28 2009 Lev Givon <lev@mandriva.org> 0.2.6-1mdv2010.0
+ Revision: 422031
- Update to 0.2.6.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 268095
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 13 2008 Lev Givon <lev@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 218647
- import luvcview


* Wed May 28 2008 Lev Givon <lev@mandriva.org> 0.2.4-1mdv2008.1
- Package for Mandriva.
